#version 300 es

precision highp float;

in vec2 vUV;

uniform sampler2D uMainTex;

out vec4 fragColor;

void main()
{
    vec4 color = texture(uMainTex, vUV.xy).rgba;
    color.rgb *= color.a;
    fragColor = vec4(color);
}